/***********************************************************************
 * YoLink device list
 *
 * Copyright (c) 2022 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
export declare const deviceFeatures: {
    VibrationSensor: {
        experimental: boolean;
        hasBattery: boolean;
    };
    MotionSensor: {
        experimental: boolean;
        hasBattery: boolean;
    };
    LeakSensor: {
        experimental: boolean;
        hasBattery: boolean;
    };
    Manipulator: {
        experimental: boolean;
        hasBattery: boolean;
    };
    THSensor: {
        experimental: boolean;
        hasBattery: boolean;
    };
    DoorSensor: {
        experimental: boolean;
        hasBattery: boolean;
    };
    Siren: {
        experimental: boolean;
        hasBattery: boolean;
    };
    Switch: {
        experimental: boolean;
        hasBattery: boolean;
    };
    Outlet: {
        experimental: boolean;
        hasBattery: boolean;
    };
    SmartRemoter: {
        experimental: boolean;
        hasBattery: boolean;
    };
};
export declare const initDeviceService: {
    VibrationSensor(this: YoLinkPlatformAccessory): void;
    MotionSensor(this: YoLinkPlatformAccessory): void;
    LeakSensor(this: YoLinkPlatformAccessory): void;
    Manipulator(this: YoLinkPlatformAccessory): void;
    THSensor(this: YoLinkPlatformAccessory): void;
    DoorSensor(this: YoLinkPlatformAccessory): void;
    Siren(this: YoLinkPlatformAccessory): void;
    Switch(this: YoLinkPlatformAccessory): void;
    Outlet(this: YoLinkPlatformAccessory): void;
    SmartRemoter(this: YoLinkPlatformAccessory): void;
};
export declare const mqttHandler: {
    VibrationSensor(this: YoLinkPlatformAccessory, data: any): void;
    MotionSensor(this: YoLinkPlatformAccessory, data: any): void;
    LeakSensor(this: YoLinkPlatformAccessory, data: any): void;
    Manipulator(this: YoLinkPlatformAccessory, data: any): void;
    THSensor(this: YoLinkPlatformAccessory, data: any): void;
    DoorSensor(this: YoLinkPlatformAccessory, data: any): void;
    Siren(this: YoLinkPlatformAccessory, data: any): void;
    Switch(this: YoLinkPlatformAccessory, data: any): void;
    Outlet(this: YoLinkPlatformAccessory, data: any): void;
    SmartRemoter(this: YoLinkPlatformAccessory, data: any): void;
};
//# sourceMappingURL=deviceHandlers.d.ts.map